<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Task 3</title>
    <link rel="stylesheet" href="css/normalize.css" />
    <link rel="stylesheet" href="css/style.css" />
  </head>
  <body>
    <div class="wrap" id="wrap">
      <h1>Переключение слайдера</h1>
      
      <div class="roadMap__container yellow">

        <button class="navButton" data-direction="<"> Prev </button>

        <div class="roadMap">
          <div class="roadMapPoint" data-id="1"></div>
          <div class="roadMapPoint ball" data-id="2"></div>
          <div class="roadMapPoint" data-id="3"></div>
          <div class="roadMapPoint" data-id="4"></div>
        </div>
        
        <button class="navButton" data-direction=">"> Next </button>
      </div>

      <div class="roadMap__container red">
        
        <button class="navButton" data-direction="<"> Prev </button>

        <div class="roadMap">
          <div class="roadMapPoint" data-id="1"></div>
          <div class="roadMapPoint" data-id="2"></div>
          <div class="roadMapPoint ball" data-id="3"></div>
          <div class="roadMapPoint" data-id="4"></div>
        </div>
        
        <button class="navButton" data-direction=">"> Next </button>
      </div>

      <div class="roadMap__container blue">
        
        <button class="navButton" data-direction="<"> Prev </button>
        <div class="roadMap">
          <div class="roadMapPoint" data-id="1"></div>
          <div class="roadMapPoint ball" data-id="2"></div>
          <div class="roadMapPoint" data-id="3"></div>
          <div class="roadMapPoint" data-id="4"></div>
        </div>
        
        <button class="navButton" data-direction=">"> Next </button>
      </div>

    </div>
    <script>

      /*
        Задание:

        Написать скрипт, который будет приводить в действие переключалки из разметки.
        И будет перемещать класс ball по точкам в зависимости от нажатой кнопки

      */

      var containers = document.querySelectorAll('.roadMap__container');
          containers.forEach( function( container ){
            //console.log( container );
            var points = container.querySelectorAll(".roadMapPoint");
            var btns = container.querySelectorAll(".navButton");
            
            
            btns.forEach( function( button ){
              button.addEventListener('click',MoveBall);



              function MoveBall(){
              if (button.getAttribute("data-direction") == ">"){
                for (var i =0; i < points.length; i++){
                  if (points[i].classList.contains('ball')){
                    points[i].classList.remove('ball');
                    if (i == points.length - 1){
                      points[0].classList.add('ball');
                    } else {
                      points[i+1].classList.add('ball');
                  }
                    break;
                  }
              }
              } else{
                for (var i =0; i < points.length; i++){
                  if (points[i].classList.contains('ball')){
                    points[i].classList.remove('ball');
                    if (i == 0){
                      points[points.length - 1].classList.add('ball');
                    } else {
                      points[i-1].classList.add('ball');
                  }
                    break;
                  }
              }

              }

                }

              })
            
          })

      



    </script>
  </body>


</html>
